<?php
session_start(); 
sleep(1);


require_once("core/dbase.php");

if($_GET["A"]=="Show"){
  
       if(($_SESSION['rights']=="U") && ($_GET['Name']!=$_SESSION['username'] )){
      echo "Uživatel neexistuje, nebo nemáte oprávnění zobrazit jeho docházku.";
      exit();
      }
      
      
      $query = "SELECT Skupina, Person_id FROM lide WHERE";
      $name = explode(" ",$_GET['Name']);
      $query .= " Jmeno='".$name[0]."'";
      $query .= "AND Prijmeni='".$name[1]."'";
      $result = $database->query($query);
      $row = $result->fetchArray();
      $id = $row['Person_id'];  
      if(($row['Skupina']!=$_SESSION['group'])&&($_SESSION['rights']=="G")){
        echo "Uživatel neexistuje, nebo nespadá do Vaší skupiny.";
        exit();
      }
         
  
 echo "<table class='saldo'><tr><th>Datum</th><th>Celková doba v práci</th><th>Přerušení na oběd</th><th>Ostatní přerušení</th><th><b>Odpracovaná doba</b></th></tr>";
 $days = date("d");
 
 if(!($id)){
      echo "Uživatel tohoto jména neexistuje";
      exit();  }
 
  $query = "SELECT * FROM evidence WHERE Person_id =".$id;
  $result = $database->query($query);
  
  $row = $result->fetchArray();
  $total = new DateTime('00:00');
 for ($i = 1; $i < $days; $i++){
    $record = $name = explode(";",$row[$i]);
  
 $total->setTime(0,0);
 $total->add(DateTime::createFromFormat('H.i', $record[0]));
 $total->add(DateTime::createFromFormat('H.i', $record[1]));
  $total->add(DateTime::createFromFormat('H.i', $record[2]));
  
 echo "<tr><td>".$i.date('.m.Y')."</td><td>".$total->format("%H:%I")."</td><td>".$record[1]."</td><td>".$record[2]."</td><td>".$record[0]."</td></tr>";
 } 
echo "</table>";
$saldo = sprintf("%d:%u",($row['Saldo']/3600),(($row['Saldo']%3600)/60));
echo "<script type='text/javascript'>$('#saldoc').html('".$saldo."');</script>"; 
  exit();
  
}


  
?>
<div class='left_panel'><img src='clock.png'/><h1>
        Odpracovaná doba</h1>
    <label for="nameedit">Osoba:</label>
    <?php
    echo "<input class='text ui-widget-content ui-corner-all' id='nameedit' value='".$_SESSION[ 'username']."'>";
     ?>
   <fieldset><legend><strong>SALDO</strong></legend>
   <h1 id="saldoc">115:29</h1>
   </fieldset>
   <br />
   <div class = "ui-widget ui-state-highlight ui-corner-all">
   
   <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
   <strong>Upozornění</strong><br />K aktualizace této tabulky docházi jedenkrát denně v nočních hodinách, data jsou tak poskytována s jednodenním zpožděním.
    
    </div>
    <input aria-disabled="false" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only submit" role="button" type="submit" value="Zobrazit"/>
</div>
<div class='main_content'>

</div>
<script type="text/javascript">
    $("input[type=submit]").button().click(function (event) {
        event.preventDefault();
        $('.main_content').hide();
        $.get("stats.php",{A: "Show", Name: $('#nameedit').val()}, 
        function(data){          
         $('.main_content').html(data);
         $('.main_content').show('fade');
        });
         
        
    });
    
    var availableTags = [    
    <?php  
    
     if($_SESSION['rights']=="U") echo "\"".$_SESSION['username']."\"";
     else {
        $query = "SELECT Jmeno, Prijmeni FROM lide WHERE Person_id < 1000 ";
        if($_SESSION['rights']=="G")
          $query .= "AND Skupina='".$_SESSION['group']."'";
        $result = $database->query($query);
	
        while($row = $result->fetchArray())
        echo "\"",$row['Jmeno']," ",$row['Prijmeni'],"\",";
      }
    ?>
      
    ];
    
    $( "#nameedit" ).autocomplete({
      source: availableTags
    });
   
</script>